# stubs.c File Reference

Stub system-dependent code. More...

`#include <config.h>`
`#include <sysdep.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Functions

discover_sysdep_data_t * | _discover_get_ata_raw (void)
discover_sysdep_data_t * | _discover_get_pci_raw (void)
discover_sysdep_data_t * | _discover_get_pcmcia_raw (void)
discover_sysdep_data_t * | _discover_get_scsi_raw (void)
discover_sysdep_data_t * | _discover_get_usb_raw (void)

## Detailed Description

Stub system-dependent code.

This file represents a dummy OS-dependent hardware interface. These routines are the skeleton structure that must be followed to allow Discover to operate on multiple architectures.

Definition in file stubs.c.